import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;


public class Driver {

	public static int getIntFromUser(BufferedReader br) throws IOException
	{
		return Integer.parseInt(br.readLine());
	}

	public static int[] createArray(int len)
	{
		return new int[len];
	}

	/**
	 * @param args
	 * @throws IOException 
	 */
	public static void main(String[] args) throws IOException {
		BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
		System.out.print("Please enter an int: ");
		int[] array = null;

		do
		{

			try
			{
				int len = getIntFromUser(br);
				array = createArray(len);

				System.out.println("Array length: " + array.length);
			}
			catch(NegativeArraySizeException e)
			{
				System.out.println(e.getMessage());
				System.out.println("Please enter a positive integer:");
			}
			catch(NumberFormatException e)
			{
				System.out.println(e.getMessage());
				System.out.println("Really, please enter an integer: ");
			}

		}while(array == null);

		br.close();
	}

}
